org.custommonkey.xmlunit.examples

## Class CaseInsensitiveDifferenceListener

- java.lang.Object
- - org.custommonkey.xmlunit.examples.TextDifferenceListenerBase
  - - org.custommonkey.xmlunit.examples.CaseInsensitiveDifferenceListener

All Implemented Interfaces:
  DifferenceListener

    public class CaseInsensitiveDifferenceListener
    extends TextDifferenceListenerBase

Ignores case for all textual content.

### Field Summary

### Fields inherited from interface org.custommonkey.xmlunit.DifferenceListener

`RETURN_ACCEPT_DIFFERENCE, RETURN_IGNORE_DIFFERENCE_NODES_IDENTICAL, RETURN_IGNORE_DIFFERENCE_NODES_SIMILAR, RETURN_UPGRADE_DIFFERENCE_NODES_DIFFERENT`

### Constructor Summary

Constructors
Constructor and Description
`CaseInsensitiveDifferenceListener(DifferenceListener delegateTo)`

### Method Summary

Methods
`protected int` `textualDifference(Difference d)` Delegates to the nested DifferenceListener.

### Methods inherited from class org.custommonkey.xmlunit.examples.TextDifferenceListenerBase

`attributeDifference, cdataDifference, commentDifference, differenceFound, skippedComparison, textDifference`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CaseInsensitiveDifferenceListener

    public CaseInsensitiveDifferenceListener(DifferenceListener delegateTo)

### Method Detail

#### textualDifference

    protected int textualDifference(Difference d)

Description copied from class: `TextDifferenceListenerBase`
Delegates to the nested DifferenceListener.

Overrides:
  `textualDifference` in class `TextDifferenceListenerBase`